# Interface FormGroupElementJson

Defines a container that holds a set of form elements that can be expanded, collapsed, or displayed together. See https://developers.arcgis.com/web-map-specification/objects/formGroupElement/.

interface FormGroupElementJson {
description?: string;
formElements?: (FormAttachmentElementJson | FormFieldElementJson | FormRelationshipElementJson)[];
initialState?: "collapsed" | "expanded";
label?: string;
type: "group";
visibilityExpression?: string;
}

#####
Index

### Properties

description?
formElements?
initialState?
label?
type
visibilityExpression?

##
Properties

### `Optional` description

description?: string

A string that describes the element in detail.

### `Optional` formElements

formElements?: (FormAttachmentElementJson | FormFieldElementJson | FormRelationshipElementJson)[]

An array of Form Element objects that represent an ordered list of form elements. Nested group elements are not supported.

### `Optional` initialState

initialState?: "collapsed" | "expanded"

Defines if the group should be expanded or collapsed when the form is initially displayed. If not provided, the default value is expanded.

### `Optional` label

label?: string

A string value indicating what the element represents.

### type

type

String value indicating which type of element to use.

### `Optional` visibilityExpression

visibilityExpression?: string

A reference to an Arcade expression that returns a boolean value. When this expression evaluates to true, the element is displayed. When the expression evaluates to false the element is not displayed. If no expression is provided, the default behavior is that the element is displayed.